@echo off
goto check_Permissions

:check_Permissions
echo Administrative permissions required. Detecting permissions...

rem This checks to see if this .bat file is being run as an administrator or not. 
net session >nul 2>&1
if %errorLevel% == 0 (
    echo Success: Administrative permissions confirmed.
    goto run_IIS_configuration
) else (
    echo Failure: Run this file as an Administrator.
)
pause >nul

:run_IIS_configuration
rem @echo off
rem "dism /online /Get-Features returns" list of features
rem "/all" turns on that feature and all parent features
dism /online /Enable-Feature /FeatureName:IIS-IIS6ManagementCompatibility /all
dism /online /Enable-Feature /FeatureName:IIS-ManagementConsole /all
dism /online /Enable-Feature /FeatureName:IIS-Metabase /all
dism /online /Enable-Feature /FeatureName:NetFx4Extended-ASPNET45 /all
dism /online /Enable-Feature /FeatureName:IIS-ASPNET45 /all
dism /online /Enable-Feature /FeatureName:IIS-ISAPIExtensions /all
dism /online /Enable-Feature /FeatureName:IIS-ISAPIFilter /all
Pause